Cambrian V3 - List Pools API

By Cambrian Network pancake

GET /api/v1/evm/pancake/v3/pools

V3 - List Pools (Pancake)

Overview

Returns a list of all PancakeSwap V3 liquidity pools on the specified EVM chain, including the token pair, fee tier, tick spacing, and creation timestamp for each pool. Results can be filtered by token address and paginated using limit and offset.

Business Value

  • Pool Discovery: Identify all available liquidity pools for trading and liquidity provision strategies
  • Market Analysis: Analyze pool distribution, fee structures, and token pair availability across chains
  • Portfolio Management: Track and monitor multiple pools for yield farming and LP position management
  • DeFi Integration: Build applications that require comprehensive pool data for routing and analytics
  • Risk Assessment: Evaluate pool diversity and concentration for informed investment decisions

Endpoint Details

URL:

https://api.cambrian.org/evm/pancake/v3/pools

Method: GET
Authentication: Required via X-API-Key header

Query Parameters

Parameter Type Required Default Description
chain_id integer No 8453 EVM chain ID. Enum: 1, 8453, 42161, 4663.
token_address string No - Pool token address. Pattern: ^0x[a-fA-F0-9]{40}$. See tokens endpoint for valid addresses.
limit integer No 100 Limit the number of results. Min 1, max 10000.
offset integer No 0 Offset the results, allows you to skip a number of rows before starting to return rows. Min 0, max 100000000.
order_asc array No - List of column names to order by in ascending order (comma-separated). Valid columns: chainId, dexAddress, dexName, poolAddress, token0Address, token0Symbol, token0Decimals, token1Address, token1Symbol, token1Decimals, createdAt, fee, tickSpacing.
order_desc array No - List of column names to order by in descending order (comma-separated). Same valid columns as order_asc.

Response Field Descriptions

Response Field Type Description
chainId UInt16 EVM chain ID the pool resides on.
dexAddress FixedString(42) Contract address of the PancakeSwap V3 DEX/factory.
dexName String Name of the DEX (e.g., PancakeV3).
poolAddress FixedString(42) Contract address of the liquidity pool.
token0Address String Contract address of token0 in the pool.
token0Symbol String Symbol of token0.
token0Decimals UInt8 Decimal precision of token0.
token1Address String Contract address of token1 in the pool.
token1Symbol String Symbol of token1.
token1Decimals UInt8 Decimal precision of token1.
createdAt DateTime('UTC') UTC timestamp when the pool was created.
fee UInt32 Pool fee tier (in hundredths of a bip).
tickSpacing Int32 Minimum tick spacing enforced by the pool's fee tier.

Examples

1. List Pancake V3 Pools on Base

Retrieves the most recently created PancakeSwap V3 pools on Base (chain ID 8453), limited to 10 results.

curl -X GET "https://api.cambrian.org/evm/pancake/v3/pools?limit=10" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response:

[
  {
    "columns": [
      {
        "name": "chainId",
        "type": "UInt16"
      },
      {
        "name": "dexAddress",
        "type": "FixedString(42)"
      },
      {
        "name": "dexName",
        "type": "String"
      },
      {
        "name": "poolAddress",
        "type": "FixedString(42)"
      },
      {
        "name": "token0Address",
        "type": "String"
      },
      {
        "name": "token0Symbol",
        "type": "String"
      },
      {
        "name": "token0Decimals",
        "type": "UInt8"
      },
      {
        "name": "token1Address",
        "type": "String"
      },
      {
        "name": "token1Symbol",
        "type": "String"
      },
      {
        "name": "token1Decimals",
        "type": "UInt8"
      },
      {
        "name": "createdAt",
        "type": "DateTime('UTC')"
      },
      {
        "name": "fee",
        "type": "UInt32"
      },
      {
        "name": "tickSpacing",
        "type": "Int32"
      }
    ],
    "data": [
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xd7d3c24628a34ec834b9dfd756c5cd8dc007cfc5",
        "0x25b8d5bb2abff632b7a301cd85d0f7bedf53d640",
        "UZD\ud81b\udf0a",
        18,
        "0x9e858d53cba85e536de10c57fbad97944bd22b07",
        "USDT",
        18,
        "2026-09-23T16:10:41+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xc7614e65520e2dcbec67393fe70cae9b58bb8d92",
        "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "USDC",
        6,
        "0x9a28fad79ad020aa2cd7af6d83e8c607f3f0cb07",
        "\u202eTDSU",
        18,
        "2026-09-23T15:54:27+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0x1aeac7267063ffd2acab6e7fe1bf772fe33772e6",
        "0x0cc7ead9c48605dcce431bd7005da406e56a285c",
        "UZDT",
        18,
        "0x9e858d53cba85e536de10c57fbad97944bd22b07",
        "USDT",
        18,
        "2026-09-23T15:49:53+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xe4dd3cbc124ee9655fec0facec8e4cac699d2b4b",
        "0x9e858d53cba85e536de10c57fbad97944bd22b07",
        "USDT",
        18,
        "0xb2eec8c8abc26410d1314e5c37210320b76d5729",
        "USD\ud81b\udf0a",
        18,
        "2026-09-23T15:20:25+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0x26ac27aa63a48307b1a6ba05a7ab890ab1f5c4bd",
        "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "USDC",
        6,
        "0xb2000000000000000000004c27f6523082f41d01",
        "Basecat",
        18,
        "2026-09-23T15:01:11+00:00",
        10000,
        200
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xa9523fba0f040266ea4b532d09f8c420c11a2a70",
        "0x8639ef96e63eb3af719b304ef66b69e281273b07",
        "UZDT",
        18,
        "0xce8fc40b01ee2c5f5bda02f23831da049c491b07",
        "USDT",
        18,
        "2026-09-23T14:13:09+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xc0d584291b6119d314c48c0a4d288ca65df6c4fe",
        "0x7ea07e2570c8e6c91ad3d5ea2c370fca39a24b07",
        "UZDT",
        18,
        "0xfde4c96c8593536e31f229ea8f37b2ada2699bb2",
        "USDT",
        6,
        "2026-09-23T13:57:07+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xa90e7397417a09370b0c7ac88746611e194f415f",
        "0x09a4746533cf0a0b1da186a11994c29aa36cb5a9",
        "WETH",
        18,
        "0xbb8d01509c98f4719c0934c18009fa5bc26dbbb4",
        "darkwebhacker",
        18,
        "2026-09-23T13:20:45+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0x92dca24d6a3f68b67b8923c8ed692c297da1676a",
        "0x09a4746533cf0a0b1da186a11994c29aa36cb5a9",
        "WETH",
        18,
        "0x4200000000000000000000000000000000000006",
        "WETH",
        18,
        "2026-09-23T13:18:11+00:00",
        100,
        1
      ],
      [
        8453,
        "0x0bfbcf9fa4f9c56b0f40a671ad40e0805a091865",
        "PancakeV3",
        "0xf0c6e388d1151c340019eef7c412787456b2b210",
        "0xe55ffe6c060bde17d0be1677b8e13d470e81e139",
        "TetherAsset",
        18,
        "0xebe8cf2ec8af8bcc3e265c17a22b0e0fa06163cf",
        "TAUSD",
        18,
        "2026-09-23T12:51:25+00:00",
        100,
        1
      ]
    ],
    "rows": 10
  }
]

The result set is capped at 10 items: the 10 most recently created PancakeSwap V3 pools on Base, each with its token pair, decimals, fee tier, tick spacing, and creation timestamp.

x402 Payment Option

This endpoint supports pay-per-use access via the x402 payment protocol (v2), letting you pay $0.05 USDC per request using blockchain micropayments. No API key required.

Quick Start (TypeScript)

npm install @x402/fetch @x402/evm viem
import { x402Client } from "@x402/core/client";
import { ExactEvmScheme } from "@x402/evm/exact/client";
import { wrapFetchWithPayment } from "@x402/fetch";
import { privateKeyToAccount } from "viem/accounts";

const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
const client = new x402Client();
client.register("eip155:*", new ExactEvmScheme(signer));

const fetchWithPayment = wrapFetchWithPayment(fetch, client);
const response = await fetchWithPayment(
  "https://x402.cambrian.org/evm/pancake/v3/pools"
);
const data = await response.json();

Quick Start (Python)

pip install "x402[httpx]"
import asyncio, os
from eth_account import Account
from x402 import x402Client
from x402.http.clients import x402HttpxClient
from x402.mechanisms.evm import EthAccountSigner
from x402.mechanisms.evm.exact.register import register_exact_evm_client

async def main():
    client = x402Client()
    account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
    register_exact_evm_client(client, EthAccountSigner(account))

    async with x402HttpxClient(client) as http:
        response = await http.get("https://x402.cambrian.org/evm/pancake/v3/pools")
        print(response.json())

asyncio.run(main())

Payment Flow

  1. Send a normal request to the endpoint (no API key needed)
  2. Server returns 402 Payment Required with payment details
  3. The x402 SDK automatically signs a payment authorization with your wallet
  4. The SDK resubmits the request with the signed payment
  5. Server verifies payment and returns the API response

The x402 SDK handles steps 2 through 5 automatically.

Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request